Name:		quazip
Version:	0.7.6
Release:	%mkrel 1
Summary:	Qt/C++ wrapper for the minizip library
License:	LGPLv2+
Group:		Development/C++
URL:		https://github.com/stachenov/quazip
Source0:	https://github.com/stachenov/quazip/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		quazip-0.7.6-fix_static.patch
BuildRequires:	qt4-devel
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	cmake

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

#------------------------------------------------------------------------------
### Qt5 ###

%define quazip_major 1
%define libquazip %mklibname quazip 5 %{quazip_major}

%package -n	%{libquazip}
Summary:	Qt5 Runtime library for %{name}
Group:		System/Libraries
Obsoletes:	%{name} < 0.7

%description -n	%{libquazip}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt5 runtime library.

%files -n %{libquazip}
%{_libdir}/lib%{name}5.so.%{quazip_major}{,.*}

#------------------------------------------------------------------------------

%define develquazip %mklibname quazip -d

%package -n	%{develquazip}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libquazip} = %{version}-%{release}
Requires:	pkgconfig(libzip)
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.7
Obsoletes:	%{name}-devel < 0.7

%description -n	%{develquazip}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt5 headers files needed to build a package against
%{name}.

%files -n %{develquazip}
%doc doc/html
%doc COPYING CONTRIBUTING.md README.md NEWS.txt
%{_includedir}/%{name}5/
%{_libdir}/lib%{name}5.so
%{_datadir}/cmake/Modules/FindQuaZip5.cmake

### End Qt5 ###

#------------------------------------------------------------------------------

### QT4 ####

%define quazip_qt4_major 1
%define libquazip_qt4 %mklibname quazip %{quazip_qt4_major}

%package -n	%{libquazip_qt4}
Summary:	Qt4 Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libquazip_qt4}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt4 runtime library.

%files -n %{libquazip_qt4}
%{_libdir}/lib%{name}.so.%{quazip_qt4_major}{,.*}

#------------------------------------------------------------------------------

%define develquazip_qt4 %mklibname quazip-qt4 -d

%package -n	%{develquazip_qt4}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libquazip_qt4} = %{version}-%{release}
Requires:	pkgconfig(libzip)
Provides:	lib%{name}-qt4-devel = %{version}-%{release}
Provides:	%{name}-qt4-devel = %{version}-%{release}

%description -n	%{develquazip_qt4}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt4 headers files needed to build a package against
%{name}.

%files -n %{develquazip_qt4}
%doc doc/html
%doc COPYING CONTRIBUTING.md README.md NEWS.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_datadir}/cmake/Modules/FindQuaZip.cmake

### End Qt4 ###
#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
### Build Qt5 ###
mkdir build-qt5
pushd build-qt5
%cmake_qt5 ../.. -DBUILD_WITH_QT4:BOOL=OFF
%make_build
popd
### Build Qt4 ###
mkdir build-qt4
pushd build-qt4
%cmake_qt4 ../.. -DBUILD_WITH_QT4:BOOL=ON
%make_build
popd
### Build doc ###
doxygen Doxyfile
for file in doc/html/*; do
       touch -r Doxyfile $file
done

%install
%make_install -C build-qt5/build
%make_install -C build-qt4/build


%changelog
* Wed Aug 15 2018 daviddavid <daviddavid> 0.7.6-1.mga6
  (not released yet)
+ Revision: 1251658
- new version: 0.7.6, fixes CVE-2018-1002209 (mga#23446)
- update URL and Source URL
- rename and rediff fix_static patch

* Tue May 10 2016 daviddavid <daviddavid> 0.7.2-2.mga6
+ Revision: 1011975
- provides also a quazip Qt4 build (still needed for tomahawk-player)

* Mon May 09 2016 luigiwalser <luigiwalser> 0.7.2-1.mga6
+ Revision: 1011646
- fix library package name and corresponding file names
- 0.7.2
- remove upstreamed patch
- add patch from fedora to fix build

* Tue Feb 16 2016 umeabot <umeabot> 0.7.1-2.mga6
+ Revision: 962694
- Mageia 6 Mass Rebuild

* Fri Jul 03 2015 anaselli <anaselli> 0.7.1-1.mga6
+ Revision: 849795
- new 0.7.1
- New version

* Wed Oct 15 2014 umeabot <umeabot> 0.7-3.mga5
+ Revision: 748555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-2.mga5
+ Revision: 688578
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 anaselli <anaselli> 0.7-1.mga5
+ Revision: 661373
- new version 7.0

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 529046
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.5.1-1.mga4
+ Revision: 449523
- new version 0.5.1

* Sun Jan 13 2013 umeabot <umeabot> 0.5-2.mga3
+ Revision: 380106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 anaselli <anaselli> 0.5-1.mga3
+ Revision: 292461
- new 0.5 version

* Tue Aug 07 2012 neoclust <neoclust> 0.4.4-2.mga3
+ Revision: 279766
- Make sure to not build against Qt5

* Sun Mar 25 2012 anaselli <anaselli> 0.4.4-1.mga2
+ Revision: 226430
- Upstream bug fixing release

* Wed Dec 21 2011 anaselli <anaselli> 0.4.3-3.mga2
+ Revision: 185573
- Fixed provides info for developer package

* Fri Dec 16 2011 mikala <mikala> 0.4.3-2.mga2
+ Revision: 182664
- Add missing obsoletes

* Fri Dec 16 2011 mikala <mikala> 0.4.3-1.mga2
+ Revision: 182659
- Use pkgconfig for BR
- Fix Group
- Fix subpackages (use proper libification)
+ anaselli <anaselli>
- new version 0.4.3
- imported package quazip

